Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class GenChildContainerImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.codegen.gmfgen.impl.GenCommonBaseImpl
                      org.eclipse.gmf.codegen.gmfgen.impl.GenChildContainerImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, GenChildContainer, GenCommonBase, GenContainerBase

Direct Known Subclasses:
  GenCompartmentImpl, GenNodeImpl

    public abstract class GenChildContainerImpl

extends GenCommonBaseImpl
implements GenChildContainer

An implementation of the model object 'Gen Child Container'.

The following features are implemented:

- `Contained Nodes`
- `Canonical Edit Policy Class Name`
- `Child Nodes`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected static java.lang.String` `CANONICAL_EDIT_POLICY_CLASS_NAME_EDEFAULT` The default value of the '`Canonical Edit Policy Class Name`' attribute
`protected java.lang.String` `canonicalEditPolicyClassName` The cached value of the '`Canonical Edit Policy Class Name`' attribute
`protected org.eclipse.emf.common.util.EList<GenChildNode>` `childNodes` The cached value of the '`Child Nodes`' reference list

Fields inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenCommonBaseImpl
`behaviour, diagramRunTimeClass, EDIT_PART_CLASS_NAME_EDEFAULT, editPartClassName, elementType, ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME_EDEFAULT, itemSemanticEditPolicyClassName, NOTATION_VIEW_FACTORY_CLASS_NAME_EDEFAULT, notationViewFactoryClassName, SANS_DOMAIN_EDEFAULT, styles, viewmap, VISUAL_ID_EDEFAULT, visualID`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenContainerBase
`CANONICAL_EDIT_POLICY_SUFFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase
`DEFAULT_CLASS_NAME_PREFIX, EDIT_PART_SUFFIX, ITEM_SEMANTIC_EDIT_POLICY_SUFFIX, NOTATION_VIEW_FACTORY_SUFFIX`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenChildContainerImpl()`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<GenNode>` `getAssistantNodes()`
`java.lang.String` `getCanonicalEditPolicyClassName()` Returns the value of the 'Canonical Edit Policy Class Name' attribute
`java.lang.String` `getCanonicalEditPolicyClassNameGen()`
`java.lang.String` `getCanonicalEditPolicyQualifiedClassName()`
`org.eclipse.emf.common.util.EList<GenChildNode>` `getChildNodes()`
`org.eclipse.emf.common.util.EList<GenNode>` `getContainedNodes()`
`boolean` `needsCanonicalEditPolicy()`
`void` `setCanonicalEditPolicyClassName(java.lang.String newCanonicalEditPolicyClassName)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenCommonBaseImpl

`asJavaConstantName, basicGetDiagramRunTimeClass, basicSetElementType, basicSetViewmap, getBehaviour, getBehaviour, getClassNamePrefix, getClassNameSuffux, getDiagram, getDiagramRunTimeClass, getEditPartClassName, getEditPartClassNameGen, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyClassNameGen, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryClassNameGen, getNotationViewFactoryQualifiedClassName, getStyles, getUniqueIdentifier, getViewmap, getVisualID, isSansDomain, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase

`getBehaviour, getBehaviour, getClassNamePrefix, getClassNameSuffux, getDiagram, getDiagramRunTimeClass, getEditPartClassName, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryQualifiedClassName, getStyles, getUniqueIdentifier, getViewmap, getVisualID, isSansDomain, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### CANONICAL_EDIT_POLICY_CLASS_NAME_EDEFAULT

    protected static final java.lang.String CANONICAL_EDIT_POLICY_CLASS_NAME_EDEFAULT

  The default value of the '`Canonical Edit Policy Class Name`' attribute.

  See Also:
    `getCanonicalEditPolicyClassName()`
  ** Generated **
  Ordered:

### canonicalEditPolicyClassName

    protected java.lang.String canonicalEditPolicyClassName

  The cached value of the '`Canonical Edit Policy Class Name`' attribute.

  See Also:
    `getCanonicalEditPolicyClassName()`
  ** Generated **
  Ordered:

### childNodes

    protected org.eclipse.emf.common.util.EList<GenChildNode> childNodes

  The cached value of the '`Child Nodes`' reference list.

  See Also:
    `getChildNodes()`
  ** Generated **
  Ordered:

Constructor Detail

### GenChildContainerImpl

    protected GenChildContainerImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `GenCommonBaseImpl`
  ** Generated **

### getContainedNodes

    public org.eclipse.emf.common.util.EList<GenNode> getContainedNodes()

  Specified by:
    `getContainedNodes` in interface `GenContainerBase`
  Returns:
    the value of the 'Contained Nodes' reference list.
  See Also:
    `GMFGenPackage.getGenContainerBase_ContainedNodes()`
  ** Generated **
    NOT

### getChildNodes

    public org.eclipse.emf.common.util.EList<GenChildNode> getChildNodes()

  Specified by:
    `getChildNodes` in interface `GenChildContainer`
  Returns:
    the value of the 'Child Nodes' reference list.
  See Also:
    `GMFGenPackage.getGenChildContainer_ChildNodes()`, `GenChildNode.getContainers()`
  ** Generated **

### getAssistantNodes

    public org.eclipse.emf.common.util.EList<GenNode> getAssistantNodes()

  Specified by:
    `getAssistantNodes` in interface `GenContainerBase`
  ** Generated **
    NOT

### needsCanonicalEditPolicy

    public boolean needsCanonicalEditPolicy()

  Specified by:
    `needsCanonicalEditPolicy` in interface `GenContainerBase`
  ** Generated **
    NOT

### getCanonicalEditPolicyClassNameGen

    public java.lang.String getCanonicalEditPolicyClassNameGen()

  ** Generated **

### getCanonicalEditPolicyClassName

    public java.lang.String getCanonicalEditPolicyClassName()

  Description copied from interface: `GenContainerBase`
  Returns the value of the 'Canonical Edit Policy Class Name' attribute.

  If the meaning of the 'Canonical Edit Policy Class Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getCanonicalEditPolicyClassName` in interface `GenContainerBase`
  Returns:
    the value of the 'Canonical Edit Policy Class Name' attribute.
  See Also:
    `GenContainerBase.setCanonicalEditPolicyClassName(String)`, `GMFGenPackage.getGenContainerBase_CanonicalEditPolicyClassName()`

### setCanonicalEditPolicyClassName

    public void setCanonicalEditPolicyClassName(java.lang.String newCanonicalEditPolicyClassName)

  Specified by:
    `setCanonicalEditPolicyClassName` in interface `GenContainerBase`
  Parameters:
    `newCanonicalEditPolicyClassName` - the new value of the 'Canonical Edit Policy Class Name' attribute.
  See Also:
    `GenContainerBase.getCanonicalEditPolicyClassName()`
  ** Generated **

### getCanonicalEditPolicyQualifiedClassName

    public java.lang.String getCanonicalEditPolicyQualifiedClassName()

  Specified by:
    `getCanonicalEditPolicyQualifiedClassName` in interface `GenContainerBase`
  ** Generated **
    NOT

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `GenCommonBaseImpl`
  ** Generated **

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `GenCommonBaseImpl`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `GenCommonBaseImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `GenCommonBaseImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `GenCommonBaseImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `GenCommonBaseImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `GenCommonBaseImpl`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.